/*==================== GOOGLE FONTS ====================*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&family=Open+Sans:wght@300;400;600&family=Poppins:wght@400;500;600&display=swap');

/*==================== VARIAVEIS CSS ====================*/
:root {
    --cabecalho-height: 3rem;

    /*========== Cores ==========*/
    /* Carregar cores favoritas */
    --tonalidade-color: 208; /*roxo 250 - verde 142 - azul 208 - Pink 340*/

    /* Modo de cor HSL */
    --cor-prin: hsl(var(--tonalidade-color), 80%, 55%);
    --cor-secundaria: hsl(var(--tonalidade-color), 69%, 61%);
    --cor-alt:hsl(var(--tonalidade-color), 57%, 53%) ;
    --cor-clara: hsl(var(--tonalidade-color), 92%, 85%);
    --cor-titulo: hsl(var(--tonalidade-color), 8%, 15%);
    --cor-texto: hsl(var(--tonalidade-color), 8%, 45%);
    --cor-clara-texto: hsl(var(--tonalidade-color), 8%, 65%);
    --cor-input: hsl(var(--tonalidade-color), 70%, 92%);
    --cor-body: hsl(var(--tonalidade-color), 60%, 99%);
    --cor-container: #FFF;

    --scroll-bar-color: hsl(var(--tonalidade-color), 12%, 90%);
    --scroll-bar-thumb: hsl(var(--tonalidade-color), 12%, 80%);

    /*========== Fonte e tipografia ==========*/
    --body-font: 'Poppins', sans-serif;

    /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
    --grande-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.125rem;
    --normal-font-size: .938rem;
    --media-font-size: .813rem;
    --pequena-font-size: .75rem;

    /*========== Font weight ==========*/
    --font-media: 500;
    --font-semi-bold: 600;

    /*========== Margens Bottom ==========*/
    /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
    --mb-0-25: .25rem;
    --mb-0-5: .5rem;
    --mb-0-75: .75rem;
    --mb-1: 1rem;
    --mb-1-5: 1.5rem;
    --mb-2: 2rem;
    --mb-2-5: 2.5rem;
    --mb-3: 3rem;

    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
    --z-modal: 100;
}

/* Tamanho da fonte para dispositivos grandes */
@media screen and (min-width: 968px) {
    :root {
        --grande-font-size: 3rem;
        --h1-font-size: 2.25ren;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --media-font-size: .875rem;
        --pequena-font-size: .813rem;
    }
}

/*========== Variaveis Tema Dark ==========*/
body.dark-theme{
    /* Modo de cor HSL */
    --cor-secundaria: hsl(var(--tonalidade-color), 30%, 8%);
    --cor-titulo: hsl(var(--tonalidade-color), 8%, 95%);
    --cor-texto: hsl(var(--tonalidade-color), 8%, 75%);
    --cor-input: hsl(var(--tonalidade-color), 29%, 16%);
    --cor-body: hsl(var(--tonalidade-color), 28%, 12%);
    --cor-container: hsl(var(--tonalidade-color), 29%, 16%);

    --scroll-bar-color: hsl(var(--tonalidade-color), 12%, 48%);
    --scroll-bar-thumb: hsl(var(--tonalidade-color), 12%, 36%);
}

/*========== Botão Dark/Light ==========*/
.nav__bnts{
    display: flex;
    align-items: center;
}

.change-theme{
    font-size: 1.25rem;
    color: var(--cor-titulo);
    margin-right: var(--mb-1);
    cursor: pointer;
}

.change-theme:hover{
    color: var(--cor-clara);
}

/*==================== RAIZ ====================*/

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;

}

html{

    scroll-behavior: smooth;
}

body{

    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--cor-body);
    color: var(--cor-texto);

}

h1, h2, h3, h4{

    color: var(--cor-titulo);
    font-family: var(--font-semi-bold);
}

ul{
    list-style: none;

}

a{
    text-decoration: none;
}

img{

    max-width: 100%;
    height: auto;
}

/*==================== CLASSES DE CSS REUTILIZÁVEIS ====================*/

.section{
    padding: 2rem 0 4rem;
}

.section_titulo{
    font-size: var(--h1-font-size);
}

.section_subtitulo{
    display: block;
    font-size: var(--media-font-size);
    margin-bottom: var(--mb-3);
}

.section_titulo, .section_subtitulo{
    text-align: center;
}

/*==================== LAYOUT ====================*/

.container{
    max-width: 900px;
    margin-left: var(--mb-1-5);
    margin-right: var(--mb-1-5);
}

.grid{
    display: grid;
    gap: 1.5rem;
}

.header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: var(--z-fixed);
    background-color: var(--cor-prin);
    
}

/*==================== NAV ====================*/

.nav{
    max-width: 968px;
    height: var(--cabecalho-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav_logo, .nav_toggle{

    color: #FFF;
    font-weight: var(--font-media);
}

.nav_logo:hover{

    color: var(--cor-clara);
}

.nav_toggle{

    font-size: 1.1rem;
    cursor: pointer;

}

.nav_toggle:hover{
    color: var(--cor-clara);
}

.nav_list{
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.nav_link{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: var(--media-font-size);
    color: #FFF;
    font-weight: var(--font-media);
}

.nav_link:hover{
    color: var(--cor-clara);
}

.nav_icon{
    font-size: 1.2rem;

}

.nav_close{
    position: absolute;
    right: 1.3rem;
    bottom: .5rem;
    font-size: 1.5rem;
    cursor: pointer;
    color: var(--cor-prin);
}

.nav_close:hover{
    color: var(--cor-alt);
}

@media screen and (max-width: 767px){ 
    .nav_menu{

        position: fixed;
        top: -100%;
        left: 0;
        width: 100%;
        background-color: var(--cor-body);
        padding: 2rem 1.5rem 4rem;
        box-shadow: 0 2px 4px rgba(0, 0, 0, .15);
        border-radius: 0 0 2.5rem 2.5rem;
        transition: .3s;

    }

    .nav_link{
        color: var(--cor-prin);
    }
}

/* show menu */

.show-menu{
    top: 0;
}

/* Active link */

.active-link{
    color: var(--cor-titulo);
}

/* Alterar cabeçalho de fundo */

.scroll-header{
    box-shadow: 0 -1px 4px rgba(0, 0, 0,.15);
}

/*==================== HOME ====================*/
/*.home_sombra{
    border: 2px solid var(--cor-prin);
    border-radius: 5rem;
}*/

.home_container{
    gap: 1rem;
    
}

.home_content{
    grid-template-columns: .5fr 3fr;
    padding-top: 3.5rem;
    align-items: center;
}

.home_social{
    display: grid;
    grid-template-columns: max-content;
    row-gap: 1rem;
}

.home_social-icon{
    font-size: 1.7rem;
    color: var(--cor-prin);
    transition: .5s;
}

.home_social-icon:hover{
    color: var(--cor-alt);
    transform: scale(1.75,1.75);
    text-shadow: 0 2px 2px rgba(0, 0, 0,.30);
    /*box-shadow: 0 5px 15px 0 rgba(0, 0, 0,.15);*/
}

.home_blob{
    width: 200px;
    fill: var(--cor-prin);
}

.home_blob-img{

    width: 290px;
}

.home_data{
    grid-column: 1/3;
}

.home_titulo{

    font-size: var(--grande-font-size);
}

.home_subtitulo{
    font-size: var(--h3-font-size);
    color: var(--cor-texto);
    font-weight: var(--font-media);
    margin-bottom: var(--mb-0-75);
}

.home_descricao{
    margin-bottom: var(--mb-2);
}

.home_scroll{
    display: none;
}

.home_scroll-botao{

    color: var(--cor-prin);
    transition: .3s;

}

.home_scroll-botao:hover{
    transform: translateY(.25rem);
}

.home_scroll-mouse{
    font-size: 2rem;
}

.home_scroll-name{
    font-size: var(--media-font-size);
    color: var(--cor-titulo);
    font-weight: var(--font-media);
    margin: var(--mb-0-25);
}

.home_scroll-arrow{
    font-size: 1.25rem;
}

/*==================== BOTOES====================*/

.botao{
    display: inline-block;
    background-color: var(--cor-prin);
    color: #FFF;
    padding: 1rem;
    border-radius: .5rem;
    font-weight: var(--font-media);
    transition: .5s;
}

.botao:hover{
    background-color: var(--cor-alt);
    transform: translateX(.50rem);
}

.botao_icon{
    font-size: 1.25rem;
    margin-left: var(--mb-0-5);
    transition: .3s;
}

.botao--branco{
    background-color: #FFF;
    color: var(--cor-prin);
}

.botao--branco:hover{
    background-color: #FFF;
}

.botao--flex{
    display: inline-flex;
    align-items: center;
}

.botao--pequeno{
    padding: .75rem 1rem;

}

.botao--link{
    padding: 0;
    background-color: transparent;
    color: var(--cor-prin);
}

.botao--link:hover{
    background-color: transparent;
    color: var(--cor-alt);
}

/*==================== QUEM SOMOS ====================*/

.quem-somos_img{
    width: 350px;
    border-radius: .5rem;
    justify-self: center;
    align-self: center;

}

.quem-somos_descricao{
    text-align: center;
    margin-bottom: var(--mb-2-5);
}

.quem-somos_info{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: var(--mb-2-5);

}

.quem-somos_info-titulo{

    font-size: var(--h2-font-size);
    font-weight: var(--font-semi-bold);
    color: var(--cor-titulo);
}

.quem-somos_info-nome{
    font-size: var(--pequena-font-size);
}

.quem-somos_info-titulo, 
.quem-somos_info-nome{

    display: block;
    text-align: center;
}

/*==================== SKILLS ====================*/
.skill_conteudo{
    padding: 5rem;
    text-align: justify;
    
}
.skills__container{
    row-gap: 0;
    
}

.skills__header{
    display: flex;
    align-items: center;
    margin-bottom: var(--mb-2-5);
    cursor: pointer;
    
}

.skills__icon,
.skills__arrow{
    font-size: 2rem;
    color: var(--cor-prin);
}

.skills__icon{
    margin-right: var(--mb-0-75);
}

.skills__title{
    font-size: var(--h3-font-size);
}

.skills__subtitle{
    font-size: var(--media-font-size);
    color: var(--cor-clara-texto);
}

.skills__arrow{
    margin-left: auto;
    transition: .4s;
}

.skills__list{
    row-gap: 1.5rem;
    padding-left: 2.7rem;
}

.skills__titles{
    display: flex;
    justify-content: space-between;
    margin-bottom: var(--mb-0-5);

}

.skills__name{
    font-size: var(--normal-font-size);
    font-weight: var(--font-media);
}

.skills__bar,
.skills__percentage{
    height: 5px;
    border-radius: .25rem;
}

.skills__bar{
    background-color: var(--cor-clara);
}

.skills__percentage{
    display: block;
    background-color: var(--cor-prin);
}

/*======BLOCO 01======*/
.skills__html{
    width: 90%;

}

.skills__css{
    width: 80%;
    
}

.skills__js{
    width: 60%;
    
}

.skills__react{
    width: 85%;
    
}

/*======BLOCO 02======*/
.skills__php{
    width: 80%;

}

.skills__node{
    width: 70%;
    
}

.skills__firebase{
    width: 90%;
    
}

.skills__python{
    width: 55%;
    
}



.skills__close .skills__list{
    height: 0;
    overflow: hidden;
}

.skills__open .skills__list{
    height: max-content;
    margin-bottom: var(--mb-2-5);
}

.skills__open .skills__arrow{
    transform: rotate(-180deg);
}

/*==================== QUALIFICACAO ====================*/

.qualificacao_tabs{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: var(--mb-2);
}

.qualificacao_botao{
    font-size: var(--h3-font-size);
    font-weight: var(--font-media);
    cursor: pointer;
}

.qualificacao_botao:hover{
    color: var(--cor-prin);
}

.qualificacao_icon{
    font-size: 1.8rem;
    margin-right: var(--mb-0-25);
}

.qualificacao_data{
    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    column-gap: 1.5rem;
}

.qualificacao_titulo{
    font-size: var(--normal-font-size);
    font-weight: var(--font-media);

}

.qualificacao_subtitulo{
    display: inline-block;
    font-size: var(--media-font-size);
    margin-bottom: var(--mb-1);

}

.qualificacao_calendario{
    font-size: var(--pequena-font-size);
    color: var(--cor-clara-texto);

}

.qualificacao_rounder{
    display: inline-block;
    width: 13px;
    height: 13px;
    background-color: var(--cor-prin);
    border-radius: 50%;
}

.qualificacao_linha{
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--cor-prin);
    transform: translate(6px, -7px);
}

.qualificacao [data-content]{
    display: none;
}

.qualificacao_active[data-content]{
    display: block;
}

.qualificacao_botao.qualificacao_active{
    color: var(--cor-prin);
}

/*==================== SEGURADORAS ====================*/

.img-seguradoras{
    width: 100%;
}

/*==================== SERVICOS ====================*/
.servicos_container{
    gap: 1.5rem;
    grid-template-columns: repeat(2, 1fr);
}

/* Obs sombra */
.servicos_conteudo{
    position: relative;
    background-color: var(--cor-container);
    padding: 3.5rem .5rem 1.25rem 1.5rem;
    border-radius: .25rem;
    box-shadow: 0 2px 14px rgba(0, 0, 0,.15);
    transition: .3s;
}

.servicos_conteudo:hover{
    box-shadow: 0 6px 22px rgba(0, 0, 0,.25);
}

.servicos_icon{
    display: block;
    font-size: 1.5rem;
    color: var(--cor-prin);
    margin-bottom: var(--mb-1);
}

.servicos_titulo{
    font-size: var(--h3-font-size);
    margin-bottom: var(--mb-1);
    font-weight: var(--font-media);

}

.servicos_botao{
    cursor: pointer;
    font-size: var(--media-font-size);
}

.servicos_botao:hover .botao_icon{
    transform: translateX(.25rem);
}

.servicos_modal{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0,.15);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1rem;
    z-index: var(--z-modal);
    /*para conseguir vizualizar o modal tem que desativar*/
    opacity: 0;
    visibility: hidden;
    /*fim*/
    transition: .3s;
}

.servicos_modal-conteudo{
    position: relative;
    background-color: var(--cor-container);
    padding: 1.5rem;
    border-radius: .5rem;
}

.servicos_modal-servicos{
    row-gap: 1rem;
}

.servicos_modal-servico{
    display: flex;
}

.services_modal-titulo{
    font-size: var(--h3-font-size);
    font-weight: var(--font-media);
    margin-bottom: var(--mb-1-5);
}

.servicos_modal-close{
    position: absolute;
    top: 1rem;
    right: 1rem;
    font-size: 1.5rem;
    color: var(--cor-prin);
    cursor: pointer;
}

.servicos_modal-icon{
    color: var(--cor-prin);
    margin-right: var(--mb-0-25);
}

/* Modal Active */

.active-modal{
    opacity: 1;
    visibility: visible;
}

/*==================== PORTFOLIO ====================*/

.portfolio_container{
    overflow: initial;
}

.portfolio_conteudo{
    padding: 0 1.5rem;
}

.portfolio_img{
    width: 265px;
    border-radius: .5rem;
    justify-self: center;
}

.portfolio_titulo{
    font-size: var(--h3-font-size);
    margin-bottom: var(--mb-0-5);
}

.portfolio_descricao{
    margin-bottom: var(--mb-0-75);
}

.portfolio_botao:hover .botao_icon{
    transform: translateX(.25rem);
}

.swiper-button-prev::after,
.swiper-button-next::after{
    content: '';
}

.swiper-portfolio-icon{
    font-size: 2rem;
    color: var(--cor-prin);
}

.swiper-button-prev{
    left: -.5rem;
}

.swiper-button-next{
    right: -.5rem;
}

.swiper-container-horizontal > .swiper-pagination-bullets{
    bottom: -2.5rem;
}

.swiper-pagination-bullets-active{
    background-color: var(--cor-prin);
}

.swiper-button-prev,
.swiper-button-next,
.swiper-pagination-bullets{
    outline: none;
}
/*==================== Projeto Contato ====================*/

.projeto{
    text-align: center;
}

.projeto_bg{
    background-color: var(--cor-secundaria);
    padding-top: 3rem;
}

.projeto_titulo{
    font-size: var(--h2-font-size);
    margin-bottom: var(--mb-0-75);
}

.projeto_descricao{
    margin-bottom: 0.5rem;
}

.projeto_titulo,
.projeto_descricao{
    color: #FFF;
}

.projeto_img{
    width: 232px;
    justify-self: center;
}

/*==================== CLIENTES ====================*/

.cliente_data,
.cliente_header{
    display: flex;
}

.cliente_data{
    justify-content: space-between;
    margin-bottom: var(--mb-1);
}

.cliente_img{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin-right: var(--mb-0-75);
}

.cliente_nome{
    font-size: var(--h3-font-size);
    font-weight: var(--font-media);
}

.cliente_client{
    font-size: var(--media-font-size);
    color: var(--cor-clara-texto);
}

.cliente_descricao{
    margin-bottom: var(--mb-2-5);
}

.cliente_icon-star{
    color: var(--cor-prin);
}

.swiper-container .swiper-pagination-clientes{
    bottom: 0;
}

/*==================== CONTATO ====================*/

.contato_container{
    row-gap: 3rem;
}

.contato_informacao{
    display: flex;
    margin-bottom: var(--mb-2);
}

.contato_icon{
    font-size: 2rem;
    color: var(--cor-prin);
    margin-right: var(--mb-0-75);

}

.contato_titulo{
    font-size: var(--h3-font-size);
    font-weight: var(--font-media);
}


.contato_subtitulo{
    font-size: var(--media-font-size);
    color: var(--cor-clara-texto);
}

.contato_conteudo{
    background-color: var(--cor-input);
    border-radius: .5rem;
    padding: .75rem 1rem .25rem;
}

.contato label{
    font-size: var(--pequena-font-size);
    color: var(--cor-titulo);
}

.contato_input{
    width: 100%;
    background-color: var(--cor-input);
    color: var(--cor-texto);
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    border: none;
    outline: none;
    padding: .25rem .5rem .5rem 0;
}

/*==================== RODAPE ====================*/

.footer{
    padding-top: 2rem;
}

.footer_container{
    row-gap: 3.5rem;
}

.footer_bg{
    background-color: var(--cor-secundaria);
    padding: 2rem 0 3rem;
}

.footer_titulo{
    font-size: var(--h1-font-size);
    margin-bottom: var(--mb-0-25);
}

.footer_subtitulo{
    font-size: var(--media-font-size);
}

.footer_links{
    display: flex;
    flex-direction: column;
    row-gap: 1.5rem;
}

.footer_link:hover{
    color: var(--cor-clara);
}

.footer_social{
    font-size: 1.25rem;
    margin-right: var(--mb-1-5);
    
}

.footer_social-icon{
    font-size: 1.5rem;
    transition: .5s;
}

.footer_social-icon:hover{
    color: var(--cor-alt);
    transform: scale(1.75,1.75);
    text-shadow: 0 2px 2px rgba(0, 0, 0,.30);
}

.footer_copy{
    font-size: var(--media-font-size);
    text-align: center;
    color: #FFF;
    margin-top: var(--mb-3);
}

.footer_titulo,
.footer_subtitulo,
.footer_link,
.footer_social{
    color: #FFF;
    
}

.footer_dev{

    width: 100%;
    background-color: var(--cor-secundaria); 
}

/*========== DEV ==========*/
.dev_p{
    margin-left: var(--mb-1);
    text-align: left;
    transition: .5s;
    padding-bottom: var(--mb-1);
}

.dev_p:hover{
    transform: translateX(.50rem);
}
.dev_link{
    font-size: .6rem;
    
    color: #FFF;
    text-decoration: none;
}

/*========== SCROLL UP ==========*/
.scrollup{
    position: fixed;
    right: 1rem;
    bottom: -20%;
    background-color: var(--cor-prin);
    opacity: .8;
    padding: 0 .3rem;
    border-radius: .4rem;
    z-index: var(--z-tooltip);
    transition: .4s;
}

.scrollup:hover{
    background-color: var(--cor-alt);
    transform: translatey(-.50rem);
}

.scrollup__icon{
    font-size: 1.5rem;
    color: #FFF;
}

/* Show scroll */
.show-scroll{
    bottom: 5rem;
}

/*========== SCROLL BAR ==========*/
::-webkit-scrollbar{
    width: .60rem;
    background-color: var(--scroll-bar-color);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
    background-color: var(--scroll-bar-thumb);
    border-radius: .5rem;

}

::-webkit-scrollbar-thumb:hover{
    background-color: var(--cor-clara-texto);
}

/*==================== MEDIA QUERIES ====================*/
/* Para dispositivos pequenos */
@media screen and (max-width: 350px) {
        
    .container{
        margin-left: var(--mb-1);
        margin-right: var(--mb-1);
    }

    .nav_menu{
        padding: 2rem .25rem 4rem;
    }

    .nav_list{
        column-gap: 0;
    }

    .home_content{
        grid-template-columns: .25fr 3fr;
    }

    .home_blob{
        width: 180px;
    }

    .skills__title{
        font-size: var(--normal-font-size);
    }

    .qualificacao_data{
        gap: .5rem;
    }

    .servicos_container{
        grid-template-columns: max-content;
        justify-content: center;
    }

    .servicos_conteudo{
        padding-right: 3.5rem;
    }

    .servicos_modal{
        padding: 0rem .5rem;
    }

    .projeto_img{
        width: 200px;
    }

    .cliente_data,
    .cliente_header{
        flex-direction: column;
        align-items: center;
    }

    .cliente_img{
        margin-right: 0;
        margin-bottom: var(--mb-0-25);
    }

    .cliente_data,
    .cliente_descricao{
        text-align: center;
    }

    

}
/* Para dispositivos medios */
@media screen and (min-width: 568px) {
    .home_content{
        grid-template-columns: max-content 1fr 1fr;
    }

    .home_data{
        grid-column: initial;
    }

    .home_img{
        order: 1;
        justify-self: center;
    }

    .quem-somos_container,
    .portfolio_conteudo,
    .footer_container{
        grid-template-columns: repeat(2, 1fr);
    }

    .projeto_descricao{
        margin-bottom: var(--mb-1-5);
    }

    .qualificacao_sections{
        display: grid;
        grid-template-columns: .6fr;
        justify-content: center;
    }


}

@media screen and (min-width: 768px) {
    .container{
        margin-left: auto;
        margin-right: auto;
    }

    body{
        margin: 0;
    }

    .section{
        padding: 5.5rem 0 2rem;
    }

    .section_subtitulo{
        margin-bottom: 4rem;
    }

    .header{
        top: 0;
        bottom: initial;
    }

    .header,
    .main,
    .footer_container{
        padding: 0 1rem;
    }

    .nav{
        height: calc(var(--cabecalho-height) + 1.5rem);
        column-gap: 1rem;
    }
    
    .nav_icon,
    .nav_close,
    .nav_toggle{
        display: none;
    }
    
    .nav_list{
        display: flex;
        column-gap: 2rem;
    }

    .nav_menu{
        margin-left: auto;
    }

    .change-theme{
        margin: 0;
    }

    .home_container{
        row-gap: 5rem;
    }

    .home_content{
        padding-top: .3rem;
        column-gap: 2rem;
    }

    .home_blob{
        width: 340px;
    }

    .home_scroll{
        display: block;
    }

    .home_scroll-botao{
        margin-left: 3rem;
    }

    .quem-somos_container{
        column-gap: 5rem;
    }

    .quem-somos_img{
        width: 450px;
    }

    .quem-somos_descricao{
        text-align: initial;
    }

    .quem-somos_info{
        justify-content: space-between;
    }

    .quem-somos_botao{
        justify-content: initial;
    }

    .qualificacao_tabs{
        justify-content: center;
    }

    .qualificacao_botao{
        margin: 0 var(--mb-1);
    }

    .qualificacao_sections{
        grid-template-columns: .5f;
    }

    .servicos_container{
        grid-template-columns: repeat(4, 218px);
        justify-content: center;
    }

    .servicos_icon{
        font-size: 2rem;
    }

    .servicos_conteudo{
        padding: 6rem 0 2rem 2.5rem;
    }

    .servicos_modal-conteudo{
        width: 450px;
    }

    .portfolio_img{
        width: 320px;
    }

    .portfolio_conteudo{
        align-items: center;
    }

    .projeto{
        text-align: initial;
    }

    .projeto_bg{
        background: none;
    }

    .projeto_container{
        background-color: var(--cor-secundaria);
        border-radius: 1rem;
        padding: 1rem 2rem 0;
        grid-template-columns: 1fr max-content;
        column-gap: 0rem;
    }

    .projeto_data{
        padding-top: .8rem;
    }

    .footer_container{
        grid-template-columns: repeat(3, 1fr);
    }

    .footer_bg{
        padding: 3rem 0 3.5rem;
    }

    .footer_links{
        flex-direction: row;
        column-gap: 2rem;
    }

    .footer_socials{
        justify-self: flex-end;
        transition: .5s;
    }

    .footer_copy{
        margin-top: 4.5rem;
    }

}

/* Para dispositivos grandes */

@media screen and (min-width: 1024px) {

    .header,
    .main,
    .footer_container{
        padding: 0;
    }

    .home_blob{
        width: 390px;
    }

    .home_social{
        transform: translateX(-4rem);
    }

    .servicos_container{
        grid-template-columns: repeat(4, 238px);
    }

    .portfolio_conteudo{
        column-gap: 5rem;
    }

    .swiper-portfolio-icon{
        font-size: 3.5rem;
    }

    .swiper-button-prev{
        left: -3.5rem;
    }

    .swiper-button-next{
        right: -3.5rem;
    }

    .swiper-container-horizontal > .swiper-pagination-bullets{
        bottom: -4.5rem;
    }

    /*.contato_form{
        width: 460px;
    }*/

    .contato_input{
        grid-template-columns: repeat(2, 1fr);
    }




}